Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class RateChangeInfo

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.RateChangeInfo

All Implemented Interfaces:
  Comparable<RateChangeInfo>

    public class RateChangeInfo

extends Object
implements Comparable<RateChangeInfo>

Represents information about a change in the arrival rate.

Constructor Summary
`RateChangeInfo(int tr, int k, double rate)` Constructs a new object representing a change to arrival rate `rate` of call type `k` at transition number `tr`.

Method Summary
`int` | `compareTo(RateChangeInfo o)` Compares this object with another object `o`.
`int` | `getK()` Returns the index of the call type.
`double` | `getRate()` Returns the new arrival rate.
`int` | `getTransition()` Returns the transition number.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RateChangeInfo

    public RateChangeInfo(int tr,
                          int k,
                          double rate)

  Constructs a new object representing a change to arrival rate `rate` of call type `k` at transition number `tr`.

  Parameters:
    `tr` - the transition number at which the rate is supposed to change.
    `k` - the affected call type.
    `rate` - the new arrival rate.

Method Detail

### getTransition

    public int getTransition()

  Returns the transition number.

### getK

    public int getK()

  Returns the index of the call type.

### getRate

    public double getRate()

  Returns the new arrival rate.

### compareTo

    public int compareTo(RateChangeInfo o)

  Compares this object with another object `o`. This comparison method orders objects using the transition number, and the call type for objects with the same transition number.

  Specified by:
    `compareTo` in interface `Comparable<RateChangeInfo>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.